/* assets/style.css */

.parallax-section {
    position: relative;
    width: 100%;
    min-height: 100vh;
    min-height: 100dvh;
    height: 100vh;
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: none !important;
    overflow: hidden;

    clip-path: inset(0);
    z-index: 0;
}

/* 
 * The iOS / Mobile Safari Hack for Parallax:
 * Instead of relying on `background-attachment: fixed`, which Safari ignores
 * to save battery, we create a pseudo element that is fixed to the viewport 
 * and layer it behind the content.
 */
.parallax-section::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;

    background-image: var(--bg-image);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    z-index: 0;

    will-change: transform;
    transform: translateZ(0);
}

html {
    scroll-behavior: smooth;
}

html,
body,
#root {
    margin: 0;
    padding: 0;
    min-height: 100%;
    background-color: #F5F5DC;
}

.nav-link {
    text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.35);
    font-weight: 500;
}

input,
.rt-InputHtml {
    background-color: #ffffff !important;
    color: #2D2D2D !important;
    border: 1px solid #E5E1D8 !important;
    border-radius: 0.25rem !important;
    padding: 0.8em !important;
    font-family: 'Instrument Serif', serif !important;
    width: 100%;
    outline: none;
    box-shadow: none !important;
}

input::placeholder {
    color: #AdAdAd !important;
    opacity: 1 !important;
}

input:focus {
    border-color: #C5A059 !important;
    box-shadow: 0 0 0.3125rem rgba(197, 160, 89, 0.4) !important;
}

.rt-SelectTrigger span {
    color: #2d2d2d !important;
    font-size: 1.0em;
}

.rt-SelectTrigger span:empty::before,
.rt-SelectTrigger[data-placeholder] span {
    color: #2d2d2d !important;
    opacity: 0.9 !important;
}

.AccordionTrigger {
    background-color: #F5F5F5 !important;
}

.AccordionContent {
    background-color: #FFFFFF !important;
}

.AccordionItem {
    overflow: hidden !important;
    border-radius: 0.9375rem !important;
}

.rt-TableCell,
.rt-TableColumnHeaderCell {
    color: #2F4F4F !important;
}